import type { z } from 'zod';
import type { FetchCallback } from './types';
export declare const fetcher: {
    readonly get: <T extends z.ZodSchema>({ url, searchParams, responseValidationSchema, requiredContentType, fetchCallback, }: {
        url: string;
        searchParams?: Record<string, string>;
        responseValidationSchema?: T;
        requiredContentType?: string;
        fetchCallback?: FetchCallback;
    }) => Promise<typeof responseValidationSchema extends T ? z.output<T> : string>;
    readonly post: ({ url, body, responseValidationSchema, fetchCallback, }: {
        url: string;
        body?: Record<string, unknown>;
        responseValidationSchema?: z.ZodSchema;
        fetchCallback?: FetchCallback;
    }) => Promise<any>;
};
